Get Page (deprecated)

Deprecated
Returns a *Page*. > #### Warning > **Deprecated** > * This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version. > * To get a single page, use Pages V3ʼs [Get a page](/developer/api-reference/rest/admin/content/pages#get-a-page) endpoint.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idstringRequired

Response

bodystring

HTML or variable that populates this page’s <body> element, in default/desktop view. Required in POST if page type is raw.

channel_iddouble
Channel ID.
contact_fieldsstring
Where the page’s type is a contact form - object whose members are the fields enabled (in the control panel) for storefront display. Possible members are:`fullname` - full name of the customer submitting the form; `phone` - customer’s phone number, as submitted on the form; `companyname`- customer’s submitted company name; `orderno`- customer’s submitted order number; `rma` - customer’s submitted RMA (Return Merchandise Authorization) number.
content_typeenum
Allowed values:
emailstring

Where the page’s type is a contact form, the email address that receives messages sent using the form.

has_mobile_versionboolean

If true, this page has a mobile version. (For Blueprint themes only)

idintegerRead-only

ID of the page. Read-Only.

is_customers_onlyboolean
If true, this page is for customers only.
is_homepageboolean

If true, this page is the storefront’s home page.

is_visibleboolean
If true, this page appears in the storefront navigation menu.
layout_filestring
Layout template for this page. This field is writable only for stores with a Blueprint theme applied.
meta_descriptionstring

Description contained within this page’s <meta/> element. HTML to use for this page’s body when viewed in the mobile template.

meta_keywordsstring

Comma-separated list of SEO-relevant keywords to include in the page’s <meta/> element.

meta_titlestring

Text specified for this page’s <title> element. If empty, the value of the name property is used.

mobile_bodystring

HTML to use for this page’s body when viewed in the mobile template (deprecated - Blueprint only).

namestring
Page name, as displayed on the storefront.
parent_idinteger
ID of any parent Web page.
search_keywordsstring

Comma-separated list of keywords that shoppers can use to locate this page when searching the store.

sort_orderinteger

Order in which this page should display on the storefront. (Lower integers specify earlier display.)

typeenum

page: free-text page link: link to another web address contact_form: When the store’s contact form is used

Allowed values:
urlstring
Relative URL on the storefront for this page.